/* Kevo -- a prototype-based object-oriented language */
/* (c) Antero Taivalsaari 1991-1993 				  */
/* Some parts (c) Antero Taivalsaari 1986-1988 		  */
/* image.h: Image file definitions 					  */

/* Image file forward reference resolver definitions */

typedef struct solveStruct SOLVE;

struct solveStruct {
	char*	name;
	int*	loc;
	SOLVE*	next;
};

void	initResolver();
void	addForwardRef(); 
int		resolveRefs();
int		resolvedOk();


/* Image file loading operations */

void 	openImage();
void 	loadImage();
void 	initVariables();


/* Decompilation and image file generation operations */

void	decompile();
void	generateImage();