/* Kevo -- a prototype-based object-oriented language */
/* (c) Antero Taivalsaari 1991-1993 				  */
/* Some parts (c) Antero Taivalsaari 1986-1988 		  */
/* portEvents.h: graphical user interface event manager */

/* GUI initialization operations */

void 	initGUI();
void 	initMenus();
void 	aboutKevo();

/* The event loop */

void 	EventLoop();


/* The basic event loop operations */

void	doKeyEvent();
void 	doMouseEvent();
void 	doUpdateEvent();
void 	doActivateEvent();
void 	doSuspendResume();

extern	pascal void	doWindowControls(ControlHandle theControl, short controlCode);
void	doThumb();

void	doWindowClick();
void 	doResizeWindow();
void	doZoomWindow();
void	doCloseWindow();
void 	doFlags();
void	doSelectTask();


/* Menu operations */

void 	doChangeGUIMode();
void	doMenuDisable();
void	doMenuMarkers();
void 	doMenuItem();


/* Menu enabling/disabling operations */

void	doConsoleDisable();
void	doBrowserDisable();
void	doDebugMenuDisable();


/* Menu marking operations */

void	doMultitaskMenuMark();
void	doDebugMenuMark();
void	doViewMenuMark();
void	doEdit2MenuMark();
void	doWindowMenuMark();
