/* Kevo -- a prototype-based object-oriented language */
/* (c) Antero Taivalsaari 1991-1993 				  */
/* Some parts (c) Antero Taivalsaari 1986-1988 		  */
/* family.h: Clone family management internals  	  */

/*------------------------------------------------------------------------*/
/* Operations on clone families */

OBJECT*		cloneObject();
void		deriveObject();

void		makeParent();
void		removeFromItsFamily();
void		moveToContext();
int 		possiblyMoveObject();
int			possiblyMoveFamily();
void		confirmObjectType();
void		ensureParentCompatibility();
void		removeAllRelatives();

void		resizeFamilyMembers();
int			checkFamilyIntegrity();


