/* Kevo -- a prototype-based object-oriented language */
/* (c) Antero Taivalsaari 1991-1993 				  */
/* Some parts (c) Antero Taivalsaari 1986-1988 		  */
/* kernel.h: Lowest-level internals 				  */

int*	dataStackBottom();
int**	returnStackBottom();
int**	contextStackBottom();

void	resetData();
void	resetReturn();
void	resetContext();
void	initStacks();

void	yield();

void 	preemptiveInterpreter();
void 	cooperativeInterpreter();

void	ownLongJmp();
void	execute();
